Package org.apache.lucene.sandbox.facet

# Class ComparableUtils.ByOrdinalComparable

java.lang.Object
org.apache.lucene.sandbox.facet.ComparableUtils.ByOrdinalComparable

All Implemented Interfaces:
  `Comparable<ComparableUtils.ByOrdinalComparable>`

Enclosing class:
  `ComparableUtils`

public static class ComparableUtils.ByOrdinalComparable extends Object implements Comparable<ComparableUtils.ByOrdinalComparable>
Used for `ComparableUtils.byOrdinal()` result.

## Constructor Summary

Constructors
Constructor
Description
`ByOrdinalComparable()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ComparableUtils.ByOrdinalComparable o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByOrdinalComparable

public ByOrdinalComparable()

## Method Details

### compareTo

public int compareTo(ComparableUtils.ByOrdinalComparable o)

Specified by:
  `compareTo` in interface `Comparable<ComparableUtils.ByOrdinalComparable>`